<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
	  <UseWindowsForms>true</UseWindowsForms>
    <TargetFramework>net8.0-windows</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
	  <ApplicationIcon>Inspectron icon-512.ico</ApplicationIcon>
	  <Deterministic>false</Deterministic>
	  <Version>2.0.14</Version>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="Inspectron icon-512.ico" />
  </ItemGroup>

	<ItemGroup>
		<PackageReference Include="Ninject.Extensions.ChildKernel" Version="3.3.0" />
		<PackageReference Include="OpenCvSharp4.runtime.win" Version="4.6.0.20220608" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\framework\Inspectron.Settings.Windows\Inspectron.Settings.Windows.csproj" />
		<ProjectReference Include="..\framework\Inspectron.Settings\Inspectron.Settings.csproj" />
		<ProjectReference Include="..\framework\MaterialSkin.Core\MaterialSkin.Core.csproj" />
		<ProjectReference Include="..\Hawkeye.VisionBuilder.UI.Sources.Emulation\Hawkeye.VisionBuilder.UI.Sources.Emulation.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Camera\VisionBuilder.UI.Camera.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Common\VisionBuilder.UI.Common.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Console\VisionBuilder.UI.Console.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.IOCommander.Windows\VisionBuilder.UI.IOCommander.Windows.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.IOCommander\VisionBuilder.UI.IOCommander.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Recipes.HawkeyeRecipe\VisionBuilder.UI.Recipes.HawkeyeRecipe.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Ringbuffer\VisionBuilder.UI.Ringbuffer.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Statistics\VisionBuilder.UI.Statistics.csproj" />
		<ProjectReference Include="..\VisionBuilder.UI.Windows\VisionBuilder.UI.Windows.csproj" />
	</ItemGroup>

	<ItemGroup>
    <Folder Include="Installer\" />
  </ItemGroup>
	<Target Name="PreBuild" BeforeTargets="PreBuildEvent">
		<Exec Command="  echo &quot;$(ProjectDir)Output\DUO$(Version).exe&quot;&#xD;&#xA;if exist &quot;$(ProjectDir)\Installer\Output\DUO$(Version).exe&quot; (&#xD;&#xA;  echo ERROR: Output\DUO$(Version).exe already exists.&#xD;&#xA;  exit /b 1&#xD;&#xA;)" />
	</Target>

</Project>
